Skip to main content
POST
/
v1
/
people
/
{person_id}
/
phone_numbers
Create a phone number for a person
curl --request POST \
  --url https://api.slant.app/v1/people/{person_id}/phone_numbers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phone_number": "+15555551234",
  "phone_type": "mobile",
  "is_primary": true
}
'
{
  "id": "<string>",
  "person_id": "<string>",
  "phone_number": "<string>",
  "phone_type": "<string>",
  "is_primary": true
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Path Parameters

person_id
string
required

The person ID

Body

application/json
phone_number
string
Example:

"+15555551234"

phone_type
enum<string>
Available options:
mobile,
work,
home,
fax,
other
Example:

"mobile"

is_primary
boolean
Example:

true

Response

phone number created

id
string
person_id
string
phone_number
string
phone_type
string
is_primary
boolean